1. unnonouno

    No comment

    unnonouno
Changes in body
Source | HTML | Preview
@@ -1,9 +1,9 @@
-Chainer 1.5で、外部の依存状況が大きく変わりました。その結果、幾つかの要因でインストールが難しくなりました。この記事では、その対策を書きます。
+*Chainer 1.6以降で、この記事の問題の大部分は解消しました*
-*この内容には間違いが含まれている可能性があります。気付き次第更新します*
+Chainer 1.5で、外部の依存状況が大きく変わりました。その結果、幾つかの要因でインストールが難しくなりました。この記事では、その対策を書きます。
# 主な原因
1. Cythonを使うようになりました。ソースの一部は.pyxファイルになり、.cppを生成して.soにビルドしています(1.5.1でcythonize済みの.cppファイルを同梱しています)
2. CUDAやcuDNNなどの共有ライブラリ(.soファイル)もCythonから使うようになりました。今までは、ctypesを使っていました。
@@ -57,11 +57,11 @@
してください。これは、h5pyのバージョンが上がると解消されるかもしれません。
## setuptoolsを最新にする
-同様にsetuptoolsが古いと失敗することが有ります。
+同様にsetuptoolsが古いと失敗することが有ります。これもh5pyのバージョンが上がると解消されるかもしれません。
```
pip install -U setuptools
```